Admin — tenants
3 endpoints in this group. All paths are prefixed with /api/v1.
Endpoints in this group#
GET /api/v1/admin/tenants— List TenantsGET /api/v1/admin/tenants/{tenant_id}— Get TenantPUT /api/v1/admin/tenants/{tenant_id}/billing-profile— Admin Upsert Billing Profile
GET /api/v1/admin/tenants — List Tenants {#get-api-v1-admin-tenants}#
List tenants with billing summary.
Parameters:
page(query, integer, optional)page_size(query, integer, optional)q(query, string, optional) — Search by name, email, or tenant IDauthorization(header, string, optional)
Responses:
200— Successful Response. Returns:PaginatedResponse_TenantDetailResponse_— {data,pagination,meta}422— Validation Error. Returns:HTTPValidationError— {detail}
GET /api/v1/admin/tenants/{tenant_id} — Get Tenant {#get-api-v1-admin-tenants-tenant-id}#
Get tenant detail with billing profile.
Parameters:
tenant_id(path, string, required)authorization(header, string, optional)
Responses:
200— Successful Response. Returns:ApiResponse_TenantDetailResponse_— {data,meta}422— Validation Error. Returns:HTTPValidationError— {detail}
PUT /api/v1/admin/tenants/{tenant_id}/billing-profile — Admin Upsert Billing Profile {#put-api-v1-admin-tenants-tenant-id-billing-profile}#
Create or update a tenant's billing profile (admin).
Parameters:
tenant_id(path, string, required)authorization(header, string, optional)
Body: BillingProfileCreateUpdate — {company_name, address_line1, address_line2, postal_code + 16 more}
Responses:
200— Successful Response. Returns:ApiResponse_BillingProfileResponse_— {data,meta}422— Validation Error. Returns:HTTPValidationError— {detail}